---
title: Eclipse.org Terms of Use
author: Mike Milinkovich
keywords:
    - terms
    - legal
    - website
    - terms of use
---

15 February 2024

## Terms and Conditions of Use for the Eclipse Foundation Website and Related Services

As used herein, the term "you" or "your" means the individual accessing any Eclipse Foundation website or online resource that contains a reference or link to these Terms of Use, including in the first place at [https://www.eclipse.org/](/) as well as those websites of its industry collaborations and any other website of the Eclipse Group ("Website"), as well as any person or entity which has granted to such individual the authority to enter into this agreement on its behalf. By accessing, browsing, or using this Website, you acknowledge that you have read, understand, and agree to be bound by these terms.

This Website and related services are made available by the Eclipse Foundation AISBL , and/or its affiliated Eclipse Foundation organisations, including Eclipse Foundation Canada, Eclipse.org Foundation, Inc, and Eclipse Foundation Europe GmbH (collectively, "Eclipse Foundation"). All software, documentation, information and/or other materials provided on and through this Website ("Content") and all of the related services offered by the Eclipse Foundation may be used solely under the following terms and conditions ("Terms of Use").

This Website and related services are not meant for or targeted to anyone under the age of 16. You must be at least 16 years of age, or the age of consent under your location’s applicable laws for using websites intended for adults if your location uses a different age, to use the Website or related services; otherwise, your parent or guardian must review and accept these Terms on your behalf. To learn how Eclipse Foundation collects, processes, and shares personal information, please consult Eclipse Foundation’s [Website Privacy Policy](/legal/privacy).

This Website may contain other proprietary notices and copyright information, the terms of which must be observed and followed. The Content on this Website may contain technical inaccuracies or typographical errors and may be changed or updated without notice. The Eclipse Foundation may also make improvements and/or changes to the Content at any time without notice.

Neither the Eclipse Foundation nor its members ("Members") assume any responsibility regarding the accuracy of the Content and use of the Content is at your own risk. Neither the Eclipse Foundation nor its Members provide any assurances that any reported problems with any Content will be resolved. Except as otherwise expressly stated herein or in another applicable licence, by providing the Content, neither the Eclipse Foundation nor the Members grant any licences to any copyrights, patents, or any other intellectual property rights in the Content.

The Eclipse Foundation and its Members do not want to receive confidential information from you through this Website and related services. Please note that, with the exception of the personal information submitted by you in the process of either creating or updating the personal information associated with your Eclipse account or when executing an agreement with us such as the Eclipse Contribution Agreement, any information or material submitted through the Website will be deemed NOT to be confidential and will be publicly available.

You are prohibited from posting, transmitting, or storing to or from this Website or to any service offered by the Eclipse Foundation (each referred to as a "Submission") any unlawful, threatening, libellous, defamatory, obscene, scandalous, inflammatory, pornographic, or profane material, or any other material that could give rise to any civil or criminal liability under the law. Further, all Submissions made by you to the Website must be in conformance to the Eclipse Community Code of Conduct, which may be found here: [https://www.eclipse.org/org/documents/Community_Code_of_Conduct.php](/org/documents/Community_Code_of_Conduct.php) and the Eclipse Foundation Communication Channel Guidelines which may be found here: [https://www.eclipse.org/org/documents/communication-channel-guidelines/](/org/documents/communication-channel-guidelines/) .

Should the Eclipse Foundation determine that a Submission violates these Terms of Use or should we be informed thereof by a third party, the Eclipse Foundation reserves the right to remove any such Submissions made by you to the Website at its sole discretion.

If your Submission has been removed for violation of these Terms of Use or for violation of any applicable law, we will inform you of the reasons thereof. Should you disagree with us, you may send an e-mail to [transparency@eclipse-foundation.org](mailto:transparency@eclipse-foundation.org) within six months from the date we informed you of the removal of your Submission, stating the reasons why, in your opinion, your Submission should be reinstated. Your complaint will be logged in our systems, and we will review it and respond to you without undue delay.

If you believe that Content residing or accessible on or through this Website or any User Data Services ("UDS") infringes a copyright, please send a notice of copyright infringement to our designated agent pursuant to the procedures set forth here: [https://www.eclipse.org/legal/copyright](/legal/copyright)

If you repeatedly provide manifestly illegal Content or if you repeatedly issue infringement notices, or if you frequently send e-mails about alleged infringement Content that are manifestly unfounded, we will issue a warning to you, and subsequently we may bar you, for a reasonable period of time, from using our Website or UDS, or from issuing infringement notices. Examples of facts and circumstances we take into account before we decide to bar you as mentioned are the gravity and/or frequency of the misuses, including the nature of illegal content and its consequence.

Should you disagree with our response or our reaction to the complaint you addressed to us via e-mail or via [https://www.eclipse.org/legal/copyright](/legal/copyright), you may refer the matter to a certified out-of-court settlement body that is competent to address content moderating issues. Please note that no such out-of-court settlement bodies have been certified by the competent authorities yet. We will update these Terms of Use once more information becomes available.

### User Data Services ("UDS")

As a service to you, Eclipse.org services or Eclipse software may offer functionality whereby you can store or share certain information on Eclipse Foundation’s computer systems, so that it is accessible to you from various devices that you use. Examples include, but are not limited to, Eclipse IoT sandbox servers and the User Storage Service. PLEASE BE AWARE THAT ALL INFORMATION THAT YOU STORE OR SHARE WITH ECLIPSE WILL BE PUBLICLY ACCESSIBLE ON THE INTERNET IN UNENCRYPTED FORM AND WITHOUT ANY ACCESS RESTRICTIONS. Do not store or share passwords, any personally identifiable information ("PII"), any confidential business information, or anything else that you do not want to be generally and publicly available. By using this functionality, any information that you store or share (the "Stored Information") will be subject to the [CC0 1.0 Creative Commons](https://creativecommons.org/publicdomain/zero/1.0/legalcode) licence, where, for purposes of that licence, the Stored Information shall constitute the "Work" and you shall be the "Affirmer". What that means is that anybody who accesses your information on the Internet has a worldwide, unrestricted, royalty free, irrevocable, perpetual, non-exclusive licence to use, make, reproduce, prepare derivative works of, publicly display, publicly perform, transmit, sell, distribute, sublicense or otherwise transfer the Stored Information without any obligation to you, including any obligation of attribution.

The Eclipse Foundation reserves the right to discontinue these services at any time or to remove any specific Stored Information from owned or controlled computer systems at any time, and Eclipse Foundation does not commit to making Stored Information available at all times in the future.

### Licenses

Except for Content available through the UDS, and except as otherwise stated herein, the Content provided on this Website is provided under the terms and conditions of the [Eclipse Foundation Software User Agreement](/legal/epl/notice/) and those additional terms, conditions and notices referenced therein.

If Content is licensed to you under the terms and conditions of a version of the Eclipse Public License ("[EPL](/legal/epl-2.0/)"), with respect to such Content, the term "Contributions" as used herein shall have the meaning provided in the EPL, and any such Contributions uploaded, submitted, or otherwise made available by you to the Eclipse Foundation and/or the Members and/or users of this Website shall be governed by the terms and conditions of the EPL and can be made available to others under the terms of the EPL.

If Content is licensed to you under licence terms and conditions other than the EPL ("Other Licence") with respect to such Content the term "Contributions" as used herein shall mean any modifications, enhancements and/or other code and/or documentation related to such Content uploaded, submitted, or otherwise made available by you to the Eclipse Foundation and/or the Members and/or users of this Website, and such Contributions shall be subject to and governed by the terms and conditions of the Other License. In addition, with regard to such Contributions, you agree to provide the Contributions under the terms and conditions of the Other License, provided however that the Eclipse Foundation shall have the right to reject any Contributions if the acceptance by the Eclipse Foundation would be in any way inconsistent with the Eclipse Foundation's Intellectual Property Policy.

In addition to the licences granted above, you grant a non-exclusive, worldwide, perpetual, royalty-free licence of all necessary rights under your copyright in and to your Contributions (the "Specification Grant"): (a) for the Eclipse Foundation (and its contributors solely as a part of Eclipse Foundation projects) to create, reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense specifications subject to the terms of the then-current [Eclipse Foundation Specification License](/legal/efsl/), based on or derived from the Specification Content (as defined below) and (b) for recipients of such specifications to create, reproduce, and distribute implementations thereof based on the portion of your Contributions or material derived from them in the specifications, subject to the terms of the then-current [Eclipse Foundation Specification License](/legal/efsl/).

"Specification Content" is the collection of interface definitions for the application or user interfaces ("Interfaces") provided by the work to which your Contribution was made, descriptions of the structure and semantic behaviour of those Interfaces, and data formats and protocols associated with those Interfaces, all of which as are reasonably necessary to enable the development of independent implementations of those Interfaces. For the sake of clarity, Specification Content does not include implementation detail of how the Eclipse project code or your Contribution implements the Interfaces in the Specification and the Specification Grant provided above would not cover such additional material.

To the extent you submit or otherwise make available to an Eclipse Foundation Specification Project (as that term is defined by the Intellectual Property Policy) any ideas, concepts, methods or other information, you agree that you will not assert, based on such submissions, any intellectual property rights that are essential to any implementation of the submission, against the Eclipse Foundation, its contributors, or its licensees, with respect to any implementation of such Specification (as that term is defined by the [Eclipse Foundation Specification Process](https://www.eclipse.org/projects/efsp/)). To further clarify, such submissions include, but are not limited to, submissions made to any public communications channel such as an email list, forum, communication channel, or issue.

To the extent you wish to upload, submit, or otherwise make Non-Code Content (as defined below) available to the Eclipse Foundation and/or the Members and/or users of this Website, you may make that material available under the terms and conditions of the EPL or any other licence stipulated for that purpose at [Eclipse Foundation Legal Resources](/legal/). Non-Code Content is Content for which you own or control all rights, and which is not program code intended to be submitted to a Project or Eclipse Industry Collaboration (or documentation related to such activities) and which is not Stored Information. For example, Non-Code Content would include white papers, dissertations, articles or other literary works, presentations, encyclopaedias, anthologies, wikis, blogs, diagrams, drawings, sketches, photos or other images, audio Content, video Content, and audiovisual materials.

For all other software, information and other material including, without limitation, ideas, concepts, know-how and techniques, uploaded, submitted or otherwise made available to the Eclipse Foundation, the Members, and/or users of this Website, (collectively "Material"), if the paragraphs above are inapplicable, and if the Material is not Stored Information, you grant (or warrant that the owner of such rights has expressly granted) a licence under either the applicable Project License(s) (as that term is defined in the Eclipse Intellectual Property Policy), or, if no such Project License(s) is applicable, you grant (or warrant that the owner of such rights has expressly granted) the Eclipse Foundation and the users of this Website a worldwide, unrestricted, royalty free, fully paid up, irrevocable, perpetual, non-exclusive licence to use, make, reproduce, prepare derivative works of, publicly display, publicly perform, transmit, sell, distribute, sublicense or otherwise transfer such Materials, and/or derivative works thereof, and authorise third parties to do any, some or all of the foregoing including, but not limited to, sublicensing others to do any some or all of the foregoing indefinitely.

You represent and warrant that to your knowledge, you have sufficient rights in the Materials to grant the foregoing rights and licences.

All logos and trademarks contained on this Website are and remain the property of their respective owners. No licences or other rights in or to such logos and/or trademarks are granted to you.

The [Eclipse Foundation Website Privacy Policy](/legal/privacy/) provides more information about how we process your personal data.

### Disclaimers

The Eclipse Foundation and the Members make no representations whatsoever about any other Website that you may access through this Website. When you access a non-Eclipse Foundation Website, even one that may contain the organisation’s name or mark, please understand that it is independent from the Eclipse Foundation, and that the Eclipse Foundation and the Members have no control over the Content on such Website. In addition, a link to a non-Eclipse Foundation Website does not mean that the Eclipse Foundation or the Members endorse or accept any responsibility for the Content, or the use, of such Website. It is up to you to take precautions to ensure that whatever you select for your use is free of such items as viruses, worms, Trojan horses, and other items of a destructive nature.

IN NO EVENT WILL THE ECLIPSE FOUNDATION AND/OR THE MEMBERS BE LIABLE TO YOU (AN INDIVIDUAL OR ENTITY) OR ANY OTHER INDIVIDUAL OR ENTITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, PUNITIVE, SPECIAL OR CONSEQUENTIAL DAMAGES RELATED TO ANY USE OF THE WEBSITE, THE CONTENT, STORED INFORMATION, OR ANY OTHER LINKED WEBSITE, INCLUDING, WITHOUT LIMITATION, ANY LOST PROFITS, LOST SALES, LOST REVENUE, LOSS OF GOODWILL, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR OR OUR INFORMATION HANDLING SYSTEMS OR OTHERWISE, EVEN IF THE ECLIPSE FOUNDATION OR THE MEMBERS ARE EXPRESSLY ADVISED OR AWARE OF THE POSSIBILITY OF SUCH DAMAGES OR LOSSES.

ALL CONTENT IS PROVIDED BY THE ECLIPSE FOUNDATION AND/OR THE MEMBERS ON AN "AS IS" BASIS ONLY. THE ECLIPSE FOUNDATION AND THE MEMBERS PROVIDE NO REPRESENTATIONS, CONDITIONS AND/OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABILITY AND NONINFRINGEMENT. THE ECLIPSE FOUNDATION MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SECURITY OF ANY INFORMATION OR CONTENT STORED WITH THE ECLIPSE FOUNDATION.

The Eclipse Foundation and the Members reserve the right to investigate complaints or reported violations of these Terms of Use and to take any action they deem appropriate including, without limitation, reporting any suspected unlawful activity to law enforcement officials, regulators, or other third parties and disclosing any information necessary or appropriate to such persons or entities relating to user profiles, e-mail addresses, usage history, posted materials, IP addresses, and traffic information.

The Eclipse Foundation and the Members reserve the right to seek all remedies available at law and in equity for violations of these Terms of Use, including but not limited to the right to block access from a particular Internet address to this Website.
